Recent

Author Topic: Online Package Manager  (Read 420050 times)

mdbs99

  • Full Member
  • ***
  • Posts: 143
    • Github
Re: Online Package Manager
« Reply #1590 on: April 16, 2019, 02:56:04 pm »
@mdbs99
Quote
If the mORMot author—which I've already asked about packages, but still waiting—do not want to introduce packages
What is the reason?
For do not introduce packages? I'm not sure... "old school", I think.
But the good news is that we are working to introduce packages on it. Then, I'll send mORMot first. Finally, James and Xavier libraries.

Quote
No, of course not, especially if you syncrhonize the two repo from time to time.
Just for curiosity, we can do that only using Github system?

Quote
Yes. The informations inside the lpk files are stored in a big json, so it can be easily parsed by OPM.
So, I haven't understood why packages are required...   :)

lainz

  • Hero Member
  • *****
  • Posts: 3179
    • Lainz
Re: Online Package Manager
« Reply #1591 on: April 25, 2019, 06:30:06 pm »
Hi @GetMem!

@circular created a tool that set the version number for packages, constant in pas file and version in updates JSON.

https://forum.lazarus.freepascal.org/index.php/topic,45146.msg318995.html#msg318995

The problem seems that we have 2 different file formats in the JSON:

BGRABitmap format
https://github.com/bgrabitmap/bgrabitmap/blob/master/update_BGRABitmap.json

BGRAControls format
https://github.com/bgrabitmap/bgracontrols/blob/master/update_bgracontrols_force.json

Of these wich one is the newest format?

GetMem

  • Hero Member
  • *****
  • Posts: 3478
Re: Online Package Manager
« Reply #1592 on: April 25, 2019, 08:21:34 pm »
Hi @Lainz,

Quote
Of these wich one is the newest format?

This one is the newest format: https://github.com/bgrabitmap/bgrabitmap/blob/master/update_BGRABitmap.json
When you are unsure, just go to OPM, check the package you're interested in, then go to ToolButtons-->Create-->Create JSON for Updates and generate the new json.  The generated json is just a scheleton, you have to change the DownloadZipURL and other entries depending on your configuration. You can always copy the values from the old json. When you're done just replace the old json in your github page.

PS: The last change in the format happened at least 1.5 years ago, it's unlikely that will change again in the near future, more over the two formats should be compatible. Just to be sure you can switch to the new one, it shouldn't take more then 1-2 minutes. 
« Last Edit: April 25, 2019, 08:25:02 pm by GetMem »

lainz

  • Hero Member
  • *****
  • Posts: 3179
    • Lainz
Re: Online Package Manager
« Reply #1593 on: April 25, 2019, 09:15:24 pm »
Thanks, now both versions are supported by the releaser.

mdbs99

  • Full Member
  • ***
  • Posts: 143
    • Github
Re: Online Package Manager
« Reply #1594 on: April 26, 2019, 02:33:37 pm »
@GetMem

FPC packages were included into mORMot. Then, I would like to ask you to include it on OPM -> https://github.com/synopse/mORMot before send my projects that depends on mORMot.

Should I need to do something, create something, or you will do by yourself? Please, let me know.

GetMem

  • Hero Member
  • *****
  • Posts: 3478
Re: Online Package Manager
« Reply #1595 on: April 26, 2019, 04:22:05 pm »
@GetMem

FPC packages were included into mORMot. Then, I would like to ask you to include it on OPM -> https://github.com/synopse/mORMot before send my projects that depends on mORMot.

Should I need to do something, create something, or you will do by yourself? Please, let me know.
.         
Thanks. I will include it, but only Sunday. I'm in a short vacation now, without a desktop environment.

mdbs99

  • Full Member
  • ***
  • Posts: 143
    • Github
Re: Online Package Manager
« Reply #1596 on: April 26, 2019, 04:56:21 pm »
Take your time, thanks!
But, please, warn me here when you do, then I will tell Arnaud about it.

anderbelluno

  • New Member
  • *
  • Posts: 46
Re: Online Package Manager
« Reply #1597 on: April 26, 2019, 10:37:06 pm »
Hi @GetMem,
New version of REST Dataware is available on Source Forge, is possible update OPM, please?
Thks.

mdbs99

  • Full Member
  • ***
  • Posts: 143
    • Github
Re: Online Package Manager
« Reply #1598 on: April 26, 2019, 10:40:55 pm »
Or maybe OPM could auto-check the last release.
For Git systems, it needs to check the last Tag.

GetMem

  • Hero Member
  • *****
  • Posts: 3478
Re: Online Package Manager
« Reply #1599 on: April 28, 2019, 02:29:39 pm »
@mdbs99

I did try to add mORMot to OPM, but I cannot compile packages mormot_base, there is an error in unit SynFPCTypeInfo: "Identifier not found PRecInitData". I tested both with Lazarus 2.0.0/Trunk and FPC 3.0.4. Can you please run a few tests at your side.

@anderbelluno
I will update the package soon.

mdbs99

  • Full Member
  • ***
  • Posts: 143
    • Github
Re: Online Package Manager
« Reply #1600 on: April 28, 2019, 05:02:51 pm »
@GetMem

I cannot reproduce this issue.
In attachment you can see that 1) it compiles 2) the PRecInitData is not else then TypInfo.PRecInitData.

I'm using: Lazarus 2.1.0 r59757M FPC 3.3.1 i386-win32-win32/win64

mdbs99

  • Full Member
  • ***
  • Posts: 143
    • Github
Re: Online Package Manager
« Reply #1601 on: April 28, 2019, 05:07:47 pm »
Hmm, maybe the problem is the FPC version?

GetMem

  • Hero Member
  • *****
  • Posts: 3478
Re: Online Package Manager
« Reply #1602 on: April 28, 2019, 05:35:46 pm »
Quote
Hmm, maybe the problem is the FPC version?
Yes. With FPC Trunk works fine. I added the package to OPM, with the mention that FPC Trunk needed(see attached image). Please test if it works at your side. Thank you.

mdbs99

  • Full Member
  • ***
  • Posts: 143
    • Github
Re: Online Package Manager
« Reply #1603 on: April 28, 2019, 06:03:36 pm »
Ok, thank you.
I will check if it is possible run mORMot on FPC 3.0.4 to change FPC compatibility information in the future.

GetMem

  • Hero Member
  • *****
  • Posts: 3478
Re: Online Package Manager
« Reply #1604 on: April 28, 2019, 06:28:45 pm »
@mdbs99
Quote
I will check if it is possible run mORMot on FPC 3.0.4 to change FPC compatibility information in the future.
That would be great, a lot of people use FPC 3.0.4.

@anderbelluno
Done. I updated the package.